<!doctype html>
<html>
<head>
    <title>New Release: Tor 0.3.4.9 | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="New Release: Tor 0.3.4.9 | Tor Project">
    <meta property="og:description" content="We have a new stable release today. If you build Tor from source, you can download the source code for Tor 0.3.4.9 from the download page on the website. Packages should be available within the next several weeks, with a new Tor Browser by mid-December. Tor 0.3.4.9 is the second stable release in its series; it backports numerous fixes, including a fix for a bandwidth management bug that was causing memory exhaustion on relays. Anyone running an earlier version of Tor 0.3.4.9 should upgrade. Changes in version 0.3.4.9 - 2018-11-02 Major bugfixes (compilation, backport from 0.3.5.3-alpha): Fix compilation on ARM (and other less-used CPUs) when compiling with OpenSSL before 1.1. Fixes bug 27781; bugfix on 0.3.4.1-alpha. Major bugfixes (mainloop, bootstrap, backport from 0.3.5.3-alpha): Make sure Tor bootstraps and works properly if only the ControlPort is set. Prior to this fix, Tor would only bootstrap when a client port was set (Socks, Trans, NATD, DNS or HTTPTunnel port). Fixes bug 27849; bugfix on 0.3.4.1-alpha.">
    <meta property="og:image" content="https://blog.torproject.org/new-release-tor-0349/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/new-release-tor-0349/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        New Release: Tor 0.3.4.9
      </h1>
    <p class="meta">by nickm | November 2, 2018</p>
    <picture>
      
      <img class="lead" src="lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>We have a new stable release today. If you build Tor from source, you can download the source code for Tor 0.3.4.9 from the download page on the website. Packages should be available within the next several weeks, with a new Tor Browser by mid-December.</p>
<p>Tor 0.3.4.9 is the second stable release in its series; it backports numerous fixes, including a fix for a bandwidth management bug that was causing memory exhaustion on relays. Anyone running an earlier version of Tor 0.3.4.9 should upgrade.</p>
<h2>Changes in version 0.3.4.9 - 2018-11-02</h2>
<ul>
<li>Major bugfixes (compilation, backport from 0.3.5.3-alpha):
<ul>
<li>Fix compilation on ARM (and other less-used CPUs) when compiling with OpenSSL before 1.1. Fixes bug <a href="https://bugs.torproject.org/27781">27781</a>; bugfix on 0.3.4.1-alpha.</li>
</ul>
</li>
<li>Major bugfixes (mainloop, bootstrap, backport from 0.3.5.3-alpha):
<ul>
<li>Make sure Tor bootstraps and works properly if only the ControlPort is set. Prior to this fix, Tor would only bootstrap when a client port was set (Socks, Trans, NATD, DNS or HTTPTunnel port). Fixes bug <a href="https://bugs.torproject.org/27849">27849</a>; bugfix on 0.3.4.1-alpha.</li>
</ul>
</li>
</ul>
<p> </p>
<!--break--><ul>
<li>Major bugfixes (relay, backport from 0.3.5.3-alpha):
<ul>
<li>When our write bandwidth limit is exhausted, stop writing on the connection. Previously, we had a typo in the code that would make us stop reading instead, leading to relay connections being stuck indefinitely and consuming kernel RAM. Fixes bug <a href="https://bugs.torproject.org/28089">28089</a>; bugfix on 0.3.4.1-alpha.</li>
</ul>
</li>
<li>Major bugfixes (restart-in-process, backport from 0.3.5.1-alpha):
<ul>
<li>Fix a use-after-free error that could be caused by passing Tor an impossible set of options that would fail during options_act(). Fixes bug <a href="https://bugs.torproject.org/27708">27708</a>; bugfix on 0.3.3.1-alpha.</li>
</ul>
</li>
<li>Minor features (continuous integration, backport from 0.3.5.1-alpha):
<ul>
<li>Don't do a distcheck with --disable-module-dirauth in Travis. Implements ticket <a href="https://bugs.torproject.org/27252">27252</a>.</li>
<li>Only run one online rust build in Travis, to reduce network errors. Skip offline rust builds on Travis for Linux gcc, because they're redundant. Implements ticket <a href="https://bugs.torproject.org/27252">27252</a>.</li>
<li>Skip gcc on OSX in Travis CI, because it's rarely used. Skip a duplicate hardening-off build in Travis on Tor 0.2.9. Skip gcc on Linux with default settings, because all the non-default builds use gcc on Linux. Implements ticket <a href="https://bugs.torproject.org/27252">27252</a>.</li>
</ul>
</li>
<li>Minor features (continuous integration, backport from 0.3.5.3-alpha):
<ul>
<li>Use the Travis Homebrew addon to install packages on macOS during Travis CI. The package list is the same, but the Homebrew addon does not do a `brew update` by default. Implements ticket <a href="https://bugs.torproject.org/27738">27738</a>.</li>
</ul>
</li>
<li>Minor features (geoip):
<ul>
<li>Update geoip and geoip6 to the October 9 2018 Maxmind GeoLite2 Country database. Closes ticket <a href="https://bugs.torproject.org/27991">27991</a>.</li>
</ul>
</li>
<li>Minor bugfixes (32-bit OSX and iOS, timing, backport from 0.3.5.2-alpha):
<ul>
<li>Fix an integer overflow bug in our optimized 32-bit millisecond- difference algorithm for 32-bit Apple platforms. Previously, it would overflow when calculating the difference between two times more than 47 days apart. Fixes part of bug <a href="https://bugs.torproject.org/27139">27139</a>; bugfix on 0.3.4.1-alpha.</li>
<li>Improve the precision of our 32-bit millisecond difference algorithm for 32-bit Apple platforms. Fixes part of bug <a href="https://bugs.torproject.org/27139">27139</a>; bugfix on 0.3.4.1-alpha.</li>
<li>Relax the tolerance on the mainloop/update_time_jumps test when running on 32-bit Apple platforms. Fixes part of bug <a href="https://bugs.torproject.org/27139">27139</a>; bugfix on 0.3.4.1-alpha.</li>
</ul>
</li>
<li>Minor bugfixes (C correctness, to appear in 0.3.5.4-alpha):
<ul>
<li>Avoid undefined behavior in an end-of-string check when parsing the BEGIN line in a directory object. Fixes bug <a href="https://bugs.torproject.org/28202">28202</a>; bugfix on 0.2.0.3-alpha.</li>
</ul>
</li>
<li>Minor bugfixes (CI, appveyor, to appear in 0.3.5.4-alpha):
<ul>
<li>Only install the necessary mingw packages during our appveyor builds. This change makes the build a little faster, and prevents a conflict with a preinstalled mingw openssl that appveyor now ships. Fixes bugs 27943 and 27765; bugfix on 0.3.4.2-alpha.</li>
</ul>
</li>
<li>Minor bugfixes (code safety, backport from 0.3.5.3-alpha):
<ul>
<li>Rewrite our assertion macros so that they no longer suppress the compiler's -Wparentheses warnings. Fixes bug <a href="https://bugs.torproject.org/27709">27709</a>; bugfix</li>
</ul>
</li>
<li>Minor bugfixes (continuous integration, backport from 0.3.5.1-alpha):
<ul>
<li>Stop reinstalling identical packages in our Windows CI. Fixes bug <a href="https://bugs.torproject.org/27464">27464</a>; bugfix on 0.3.4.1-alpha.</li>
</ul>
</li>
<li>Minor bugfixes (directory authority, to appear in 0.3.5.4-alpha):
<ul>
<li>Log additional info when we get a relay that shares an ed25519 ID with a different relay, instead making a BUG() warning. Fixes bug <a href="https://bugs.torproject.org/27800">27800</a>; bugfix on 0.3.2.1-alpha.</li>
</ul>
</li>
<li>Minor bugfixes (directory connection shutdown, backport from 0.3.5.1-alpha):
<ul>
<li>Avoid a double-close when shutting down a stalled directory connection. Fixes bug <a href="https://bugs.torproject.org/26896">26896</a>; bugfix on 0.3.4.1-alpha.</li>
</ul>
</li>
<li>Minor bugfixes (HTTP tunnel, backport from 0.3.5.1-alpha):
<ul>
<li>Fix a bug warning when closing an HTTP tunnel connection due to an HTTP request we couldn't handle. Fixes bug <a href="https://bugs.torproject.org/26470">26470</a>; bugfix on 0.3.2.1-alpha.</li>
</ul>
</li>
<li>Minor bugfixes (netflow padding, backport from 0.3.5.1-alpha):
<ul>
<li>Ensure circuitmux queues are empty before scheduling or sending padding. Fixes bug <a href="https://bugs.torproject.org/25505">25505</a>; bugfix on 0.3.1.1-alpha.</li>
</ul>
</li>
<li>Minor bugfixes (onion service v3, backport from 0.3.5.1-alpha):
<ul>
<li>When the onion service directory can't be created or has the wrong permissions, do not log a stack trace. Fixes bug <a href="https://bugs.torproject.org/27335">27335</a>; bugfix on 0.3.2.1-alpha.</li>
</ul>
</li>
<li>Minor bugfixes (onion service v3, backport from 0.3.5.2-alpha):
<ul>
<li>Close all SOCKS request (for the same .onion) if the newly fetched descriptor is unusable. Before that, we would close only the first one leaving the other hanging and let to time out by themselves. Fixes bug <a href="https://bugs.torproject.org/27410">27410</a>; bugfix on 0.3.2.1-alpha.</li>
</ul>
</li>
<li>Minor bugfixes (onion service v3, backport from 0.3.5.3-alpha):
<ul>
<li>When selecting a v3 rendezvous point, don't only look at the protover, but also check whether the curve25519 onion key is present. This way we avoid picking a relay that supports the v3 rendezvous but for which we don't have the microdescriptor. Fixes bug <a href="https://bugs.torproject.org/27797">27797</a>; bugfix on 0.3.2.1-alpha.</li>
</ul>
</li>
<li>Minor bugfixes (protover, backport from 0.3.5.3-alpha):
<ul>
<li>Reject protocol names containing bytes other than alphanumeric characters and hyphens ([A-Za-z0-9-]). Fixes bug <a href="https://bugs.torproject.org/27316">27316</a>; bugfix on 0.2.9.4-alpha.</li>
</ul>
</li>
<li>Minor bugfixes (rust, backport from 0.3.5.1-alpha):
<ul>
<li>Compute protover votes correctly in the rust version of the protover code. Previously, the protover rewrite in 24031 allowed repeated votes from the same voter for the same protocol version to be counted multiple times in protover_compute_vote(). Fixes bug <a href="https://bugs.torproject.org/27649">27649</a>; bugfix on 0.3.3.5-rc.</li>
<li>Reject protover names that contain invalid characters. Fixes bug <a href="https://bugs.torproject.org/27687">27687</a>; bugfix on 0.3.3.1-alpha.</li>
</ul>
</li>
<li>Minor bugfixes (rust, backport from 0.3.5.2-alpha):
<ul>
<li>protover_all_supported() would attempt to allocate up to 16GB on some inputs, leading to a potential memory DoS. Fixes bug <a href="https://bugs.torproject.org/27206">27206</a>; bugfix on 0.3.3.5-rc.</li>
</ul>
</li>
<li>Minor bugfixes (rust, directory authority, to appear in 0.3.5.4-alpha):
<ul>
<li>Fix an API mismatch in the rust implementation of protover_compute_vote(). This bug could have caused crashes on any directory authorities running Tor with Rust (which we do not yet recommend). Fixes bug <a href="https://bugs.torproject.org/27741">27741</a>; bugfix on 0.3.3.6.</li>
</ul>
</li>
<li>Minor bugfixes (rust, to appear in 0.3.5.4-alpha):
<ul>
<li>Fix a potential null dereference in protover_all_supported(). Add a test for it. Fixes bug <a href="https://bugs.torproject.org/27804">27804</a>; bugfix on 0.3.3.1-alpha.</li>
<li>Return a string that can be safely freed by C code, not one created by the rust allocator, in protover_all_supported(). Fixes bug <a href="https://bugs.torproject.org/27740">27740</a>; bugfix on 0.3.3.1-alpha.</li>
</ul>
</li>
<li>Minor bugfixes (testing, backport from 0.3.5.1-alpha):
<ul>
<li>If a unit test running in a subprocess exits abnormally or with a nonzero status code, treat the test as having failed, even if the test reported success. Without this fix, memory leaks don't cause the tests to fail, even with LeakSanitizer. Fixes bug <a href="https://bugs.torproject.org/27658">27658</a>; bugfix on 0.2.2.4-alpha.</li>
</ul>
</li>
<li>Minor bugfixes (testing, backport from 0.3.5.3-alpha):
<ul>
<li>Make the hs_service tests use the same time source when creating the introduction point and when testing it. Now tests work better on very slow systems like ARM or Travis. Fixes bug <a href="https://bugs.torproject.org/27810">27810</a>; bugfix on 0.3.2.1-alpha.</li>
</ul>
</li>
<li>Minor bugfixes (testing, to appear in 0.3.5.4-alpha):
<ul>
<li>Treat backtrace test failures as expected on BSD-derived systems (NetBSD, OpenBSD, and macOS/Darwin) until we solve bug <a href="https://bugs.torproject.org/17808">17808</a>. (FreeBSD failures have been treated as expected since 18204 in 0.2.8.) Fixes bug <a href="https://bugs.torproject.org/27948">27948</a>; bugfix on 0.2.5.2-alpha.</li>
</ul>
</li>
</ul>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/releases">
          releases
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-278371"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278371" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 02, 2018</p>
    </div>
    <a href="#comment-278371">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278371" class="permalink" rel="bookmark">Anyone running an earlier…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><blockquote><p>Anyone running an earlier version of Tor 0.3.4.9 should upgrade.</p></blockquote>
<p>:)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-278424"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278424" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  nickm
  </article>
    <div class="comment-header">
      <p class="comment__submitted">nickm said:</p>
      <p class="date-time">November 08, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-278371" class="permalink" rel="bookmark">Anyone running an earlier…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-278424">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278424" class="permalink" rel="bookmark">That should be &quot;0.3.4.x&quot;</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>That should be "0.3.4.x"</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-278428"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278428" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  nickm
  </article>
    <div class="comment-header">
      <p class="comment__submitted">nickm said:</p>
      <p class="date-time">November 08, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-278371" class="permalink" rel="bookmark">Anyone running an earlier…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-278428">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278428" class="permalink" rel="bookmark">Whoops. That should be …</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Whoops. That should be "anyone running an earlier version of 0.3.4.x".</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-278373"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278373" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 02, 2018</p>
    </div>
    <a href="#comment-278373">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278373" class="permalink" rel="bookmark">When will you backport a fix…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>When will you backport a fix from <a href="https://trac.torproject.org/projects/tor/ticket/23512" rel="nofollow">#23512</a>? I expected to see it in this release... Real deanonymization bug which is actively employed in wild and which must be resolved ASAP has just medium priority. Why?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-278425"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278425" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  nickm
  </article>
    <div class="comment-header">
      <p class="comment__submitted">nickm said:</p>
      <p class="date-time">November 08, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-278373" class="permalink" rel="bookmark">When will you backport a fix…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-278425">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278425" class="permalink" rel="bookmark">In the next release, I hope?…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>In the next release, I hope?</p>
<p>The main reason for not backporting is its potential to destabilize the rest of Tor. It's not a simple change, and this kind of thing needs a lot of testing.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-278457"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278457" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 13, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to nickm</p>
    <a href="#comment-278457">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278457" class="permalink" rel="bookmark">Thank you for reply! I hope…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thank you for reply! I hope to see it in 0.3.5 release at the latest.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-278381"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278381" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 03, 2018</p>
    </div>
    <a href="#comment-278381">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278381" class="permalink" rel="bookmark">Downloads section for expert…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Downloads section for expert bundle on Windows is still 0.3.4.8</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-278420"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278420" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 08, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-278381" class="permalink" rel="bookmark">Downloads section for expert…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-278420">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278420" class="permalink" rel="bookmark">Yes, it is still not updated.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yes, it is still not updated.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-278423"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278423" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  nickm
  </article>
    <div class="comment-header">
      <p class="comment__submitted">nickm said:</p>
      <p class="date-time">November 08, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-278381" class="permalink" rel="bookmark">Downloads section for expert…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-278423">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278423" class="permalink" rel="bookmark">Right -- that&#039;s what I mean…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Right -- that's what I mean when I said this is a "source code release".</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-278382"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278382" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Pc Hy (not verified)</span> said:</p>
      <p class="date-time">November 03, 2018</p>
    </div>
    <a href="#comment-278382">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278382" class="permalink" rel="bookmark">Since the summer time…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Since the summer time started on in Brazil, Tor does no long work. It does not connect to any bridge. Other common browsers work regularly. Sometimes during the fail Tor produces some message about a fail in the clock of something.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-278403"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278403" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  gk
  </article>
    <div class="comment-header">
      <p class="comment__submitted">gk said:</p>
      <p class="date-time">November 06, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-278382" class="permalink" rel="bookmark">Since the summer time…</a> by <span>Pc Hy (not verified)</span></p>
    <a href="#comment-278403">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278403" class="permalink" rel="bookmark">Tor needs an accurate clock…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Tor needs an accurate clock on your system. Please double-check that that's the case.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-278391"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278391" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>MrNoName (not verified)</span> said:</p>
      <p class="date-time">November 04, 2018</p>
    </div>
    <a href="#comment-278391">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278391" class="permalink" rel="bookmark">I can&#039;t find where to turn…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I can't find where to turn java script off on the new update</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-278427"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278427" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  nickm
  </article>
    <div class="comment-header">
      <p class="comment__submitted">nickm said:</p>
      <p class="date-time">November 08, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-278391" class="permalink" rel="bookmark">I can&#039;t find where to turn…</a> by <span>MrNoName (not verified)</span></p>
    <a href="#comment-278427">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278427" class="permalink" rel="bookmark">Can anybody from the Tor…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Can anybody from the Tor Browser team comment?</p>
<p>(I'm not sure why you posted this here, mrnoname -- this post is about a tor release, not about tor browser at all.)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-278473"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278473" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  gk
  </article>
    <div class="comment-header">
      <p class="comment__submitted">gk said:</p>
      <p class="date-time">November 15, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to nickm</p>
    <a href="#comment-278473">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278473" class="permalink" rel="bookmark">You can set the security…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You can set the security slider to the highest level (click on the onion on the toolbar -&gt; Security Settings... and drag the slider to the top).</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-278392"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278392" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 04, 2018</p>
    </div>
    <a href="#comment-278392">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278392" class="permalink" rel="bookmark">Why does the Tor Browser…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Why does the Tor Browser still reveal your OS and Browsers? The strings in about:config/agent etc are editable but do not take effect and shows your systems info? Tor needs to fix this when?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-278404"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278404" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  gk
  </article>
    <div class="comment-header">
      <p class="comment__submitted">gk said:</p>
      <p class="date-time">November 06, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-278392" class="permalink" rel="bookmark">Why does the Tor Browser…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-278404">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278404" class="permalink" rel="bookmark">You might like https://trac…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You might like <a href="https://trac.torproject.org/projects/tor/ticket/28290" rel="nofollow">https://trac.torproject.org/projects/tor/ticket/28290</a> and <a href="https://trac.torproject.org/projects/tor/ticket/26146" rel="nofollow">https://trac.torproject.org/projects/tor/ticket/26146</a> for some background explaining what is going on.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-278410"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278410" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Debbie (not verified)</span> said:</p>
      <p class="date-time">November 06, 2018</p>
    </div>
    <a href="#comment-278410">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278410" class="permalink" rel="bookmark">Every time I try to open a…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Every time I try to open a website in my browser, a yellow band above the browser window opens up and says " a website is slowing down your browser' with a buttons asking Stop it or Wait.<br />
No matter which I choose it's taking forever to open any website.</p>
<p>How can I disable what ever 'website' its talking about?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-278474"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278474" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  gk
  </article>
    <div class="comment-header">
      <p class="comment__submitted">gk said:</p>
      <p class="date-time">November 15, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-278410" class="permalink" rel="bookmark">Every time I try to open a…</a> by <span>Debbie (not verified)</span></p>
    <a href="#comment-278474">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278474" class="permalink" rel="bookmark">You landed at the wrong blog…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You landed at the wrong blog article, this is about the Tor release. It's hard to see what actually slows down your computer. It could be e.g. some antivirus/firewall software that is interfering with Tor Browser. You could test that case by uninstalling those tools.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-278412"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278412" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 06, 2018</p>
    </div>
    <a href="#comment-278412">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278412" class="permalink" rel="bookmark">&quot; Anyone running an earlier…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>" Anyone running an earlier version of Tor 0.3.4.9 should upgrade."(<a href="https://blog.torproject.org/new-release-tor-0349" rel="nofollow">https://blog.torproject.org/new-release-tor-0349</a>)</p>
<p>Update TBB?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-278441"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278441" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  nickm
  </article>
    <div class="comment-header">
      <p class="comment__submitted">nickm said:</p>
      <p class="date-time">November 09, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-278412" class="permalink" rel="bookmark">&quot; Anyone running an earlier…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-278441">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278441" class="permalink" rel="bookmark">I&#039;d suggest that you update…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I'd suggest that you update TBB once a new one is released.  It's most urgent for relays, though.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div>
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
